WayloAIWaylo Docs
APIReferenceDocuments

List documents

GET
/documents

Documents in one workspace, offset-paginated, most recently updated first.

Access: workspace_viewer · API key documents:read

Authorization

api-key
headerAuthorizationBearer <sk_waylo_<lookup><secret><checksum>>

Query Parameters

page?number
Range1 <= value <= 10000
Default1
limit?number
Range1 <= value <= 100
Default25
orderDirection?string
Default"desc"
Value in"asc""desc"
workspaceId*string
Formatuuid
status?string
Value in"uploaded""processing""ready""failed"
active?boolean
orderBy?string
Value in"name""filename""status""active""sizeBytes""createdAt""updatedAt"
search?string

Free-text search over the searchBy fields.

Length1 <= length <= 255
searchBy?string

Comma-separated: name, filename.

Header Parameters

Authorization*string

Your API key.

Response Body

Success

application/json
  1. response
[index: integer]?
Example Request
curl -X GET 'https://api.poc.app.waylovoice.ai/documents?workspaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Authorization: Bearer sk_waylo_...'
Example Response
[  {    "id": "string",    "workspaceId": "string",    "name": "string",    "description": "string",    "active": true,    "filename": "string",    "contentType": "string",    "sizeBytes": 0,    "status": "uploaded",    "error": "string",    "chunkCount": 0,    "embeddedChunkCount": 0,    "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",    "createdByUserName": "string",    "updatedByUserId": "b38eaad7-8efa-49e7-b0aa-619916a3821e",    "updatedByUserName": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }]